> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an organization

> Update organization profile fields or typed onboarding state.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public patch /v1/organizations/{organizationId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/organizations/{organizationId}:
    patch:
      tags:
        - Organizations
      summary: Update an organization
      description: Update organization profile fields or typed onboarding state.
      operationId: updateOrganization
      parameters:
        - in: path
          name: organizationId
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 100
                slug:
                  type: string
                  pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
                  minLength: 1
                  maxLength: 100
                onboarding:
                  type: object
                  properties:
                    companySize:
                      type: string
                      minLength: 1
                      maxLength: 100
                    dismissedDashboardGetStartedCards:
                      type: array
                      items:
                        type: string
                        minLength: 1
                        maxLength: 100
                      maxItems: 100
                    industry:
                      type: string
                      minLength: 1
                      maxLength: 100
                    stack:
                      type: array
                      items:
                        type: string
                        minLength: 1
                        maxLength: 100
                      maxItems: 100
                  additionalProperties: false
                onboardingCompleted:
                  type: boolean
              additionalProperties: false
      responses:
        '200':
          description: Update an organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  id:
                    type: string
                  name:
                    type: string
                  slug:
                    type:
                      - string
                      - 'null'
                  updatedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  logoUrl:
                    type:
                      - string
                      - 'null'
                    format: uri
                  memberCount:
                    type: integer
                    minimum: 0
                required:
                  - createdAt
                  - id
                  - name
                  - slug
                  - updatedAt
                  - logoUrl
                  - memberCount
                additionalProperties: false
        '400':
          description: Validation error or missing organization scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Organization administrator access is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Organization resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Organization operation conflicts with existing state
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Organization operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '503':
          description: Required organization storage is unavailable
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````